/**
 * @module RobotJS
 */
import { RpsContext } from 'rpscript-interface';
export default class RPSRobotjs {
    keyboard(ctx: RpsContext, opts: KeyboardOpts, text: string): Promise<any>;
    mouse(ctx: RpsContext, opts: MouseOpts, x?: number, y?: number): Promise<any>;
    desktopInfo(ctx: RpsContext, opts: {}): Promise<any>;
}
interface KeyboardOpts {
    delay?: number;
    tap?: boolean;
    tapModifier?: string[];
    toggle?: string;
}
interface MouseOpts {
    smooth?: boolean;
    click?: boolean;
    toggle?: boolean;
    drag?: boolean;
    scroll?: boolean;
    button?: string;
    doubleClick?: boolean;
    down?: string;
}
export {};
